import request from "./request.js"

// 特定时间
export function getgrey(data) {
	return request({
		url: '/api/index/company',
		method: 'get',
		data
	});
}
export function index(data) {
	return request({
		url: '/api/index',
		method: 'get',
		data
	});
}
// 文章详情
export function details(data,id) {
	return request({
		url: '/api/Article/view?id='+id,
		method: 'get',
		data
	});
}

// 获取文章列表
export function getArticList(data,id) {
	return request({
		url: '/api/Article/lst?ifyid='+id+'&order=releasetime desc',
		method: 'get',
		params: data
	});
}

// 获取分类
export function getList(data,id) {
	return request({
		url: '/api/Article/ify?pid='+id,
		method: 'get',
		params: data
	});
}

// 爱心榜
export function getlaveList(data) {
	return request({
		url: '/api/lave/lst',
		method: 'get',
		params: data
	});
}
// 搜索爱心榜
export function getlaveListsearch(data,key) {
	return request({
		url: '/api/lave/lst?key='+key,
		method: 'get',
		params: data
	});
}

// 志愿者
export function getvolunteerList(data) {
	return request({
		url: '/api/lave/lst',
		method: 'get',
		params: data
	});
}

// 搜索
export function getSearch(data,value) {
	return request({
		url: '/api/Article/lst?ifyid=0&key='+value+'&order=releasetime desc',
		method: 'get',
		params: data
	});
}
// 志愿者搜索
export function getvSearch(data,value) {
	return request({
		url: '/api/Article/lst?ifyid=21&key='+value+'&order=releasetime desc',
		method: 'get',
		params: data
	});
}